## uxplay 1.72.3

=== debian/changelog ===
uxplay (1.72.3-1) unstable; urgency=medium

  * New upstream version. (Closes: #1124380) (CVE-2025-60458)
  * d/copyright: bump year.
  * d/watch: update to version 5.

 -- Alex Myczko <tar@debian.org>  Thu, 01 Jan 2026 23:38:02 +0100

uxplay (1.72.2-3) unstable; urgency=medium

  * d/control:
    - add to Debian Bananas Team.
    - drop Rules-Requires-Root.

 -- Alex Myczko <tar@debian.org>  Thu, 27 Nov 2025 08:40:40 +0100

uxplay (1.72.2-2) unstable; urgency=medium

  * d/control: drop unused build-depends: gstreamer-vaapi. (Closes: #1119988)
    Thanks Jeremy Bicha.
  * d/copyright:
    - bump years.
    - update old FSF address.

 -- Alex Myczko <tar@debian.org>  Thu, 06 Nov 2025 10:10:17 +0100
