## uxplay 1.73

=== debian/changelog ===
uxplay (1.73-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump year.
  * d/control: add python3:any to Depends.

 -- Alex Myczko <tar@debian.org>  Fri, 30 Jan 2026 15:11:35 +0100
