=== debian/changelog ===
uxplay (1.73.2-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Wed, 11 Feb 2026 20:57:10 +0000
