=== debian/watch ===
Version: 5

# GitHub hosted projects
Template: Github
Owner: FDH2
Project: UxPlay
Update-Script: uupdate
