## uxplay 1.73.3

=== debian/changelog ===
uxplay (1.73.3-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Sun, 01 Mar 2026 05:44:08 +0000
